//
// Created by WolverinDEV on 03/03/2020.
//

#include "Group.h"
#include "./GroupManager.h"

using namespace ts::server::groups;

Group::Group(VirtualServerId sid, ts::GroupId id, ts::server::groups::GroupType type, std::string name,
             std::shared_ptr<permission::v2::PermissionRegister> permissions) : virtual_server_id_{sid}, group_id_{id}, type_{type}, name_{std::move(name)}, permissions_{std::move(permissions)} { }

void Group::set_permissions(const std::shared_ptr<permission::v2::PermissionRegister> &permissions) {
    assert(permissions);
    this->permissions_ = permissions;
}