#pragma once

namespace ts::server::vserver {
    class VirtualServerBase;

    class InformationService {
        public:
            explicit InformationService(VirtualServerBase*);
            ~InformationService();

            [[nodiscard]] float averagePing();
            [[nodiscard]] float averagePacketLoss();

            [[nodiscard]] bool could_default_create_channel();
        private:
            VirtualServerBase* virtual_server_;
    };
}